#include "mainwindow.h"



MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{

    setWindowTitle("Hello Cube");

    menuBar = new QMenuBar();

    fileMenu = new QMenu("&File");
    shadingMenu= new QMenu("Shading");

    exitAction = new QAction("E&xit",fileMenu);
    exitAction->setShortcut(QKeySequence::Quit);
    connect(exitAction, SIGNAL(triggered()), this, SLOT(close()));


    shadingGroup = new QActionGroup(fileMenu);

    noneAction = new QAction("None",shadingMenu);
    noneAction->setShortcut(QKeySequence("Ctrl+1"));
    noneAction->setCheckable(true);
    shadingGroup->addAction(noneAction);
    noneAction->setIcon(QIcon(":/img/wireframe.png"));

    flatAction = new QAction("Flat",shadingMenu);
    flatAction->setShortcut(QKeySequence("Ctrl+2"));
    flatAction->setCheckable(true);
    flatAction->setChecked(true);
    shadingGroup->addAction(flatAction);
    flatAction->setIcon(QIcon(":/img/flat.png"));

    gouraudAction = new QAction("Gouraud",shadingMenu);
    gouraudAction->setShortcut(QKeySequence("Ctrl+3"));
    gouraudAction->setCheckable(true);
    shadingGroup->addAction(gouraudAction);
    gouraudAction->setIcon(QIcon(":/img/gouraud.png"));

    phongAction = new QAction("Phong",shadingMenu);
    phongAction->setShortcut(QKeySequence("Ctrl+4" ));
    phongAction->setCheckable(true);
    shadingGroup->addAction(phongAction);
    phongAction->setIcon(QIcon(":/img/phong.png"));


    fileMenu->addAction(exitAction);
    menuBar->addMenu(fileMenu);

    shadingMenu->addAction(noneAction);
    shadingMenu->addAction(flatAction);
    shadingMenu->addAction(gouraudAction);
    shadingMenu->addAction(phongAction);
    menuBar->addMenu(shadingMenu);

    aboutAction = new QAction("About",menuBar);
    connect(aboutAction,SIGNAL(triggered()),this,SLOT(showAboutBox()));
    menuBar->addAction(aboutAction);


    setMenuBar(menuBar);

}

MainWindow::~MainWindow()
{

}

void MainWindow::showAboutBox()
{
 QMessageBox msgBox;
 msgBox.setWindowTitle("About Hello Cube!");
 msgBox.setText("Written by Kai Westerkamp");
 msgBox.exec();
}
